Page MenuHomePhabricator

Improve how Mediawiki handles a DB host that is flaky rather than completely down
Closed, DuplicatePublic

Description

From https://wikitech.wikimedia.org/wiki/Incident_documentation/20140619-parsercache

  1. Mediawiki PHP may need some better way of handling a DB host that is flaky rather than completely down. Historically we've seen similar lock-up behavior on S[1-7] where one slave having problems leads to unnecessary outages. As it happens this week we discussed options for DB proxies (haproxy probably) in #mediawiki_security, both for HA and maintenance reasons. It's possible that PHP simply should not be connecting directly to databases without hand-holding. This need to take Mediawiki LB and query groups into account. May even need heartbeat and STONITH?

Version: unspecified
Severity: normal

Details

Reference
bz68062

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:34 AM
bzimport added a project: Wikimedia-Rdbms.
bzimport set Reference to bz68062.
bzimport added a subscriber: Unknown Object (MLST).
greg created this task.Jul 15 2014, 7:38 PM
jcrespo claimed this task.Feb 4 2016, 8:58 PM
jcrespo added a subscriber: jcrespo.

This is either already fixed, or to be merged into T119626 (HAProxy deployment, among other things). This is important enough to be worth testing on codfw soon.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2016, 8:58 PM
jcrespo removed jcrespo as the assignee of this task.Apr 22 2016, 4:42 PM
jcrespo closed this task as a duplicate of Restricted Task.Dec 19 2017, 10:59 AM